Subject: Re: [PATCH v9 21/23] x86/virt/tdx: Enable TDX module runtime updates
From: Dave Hansen <[email-masked]>
To: [email-masked]

[Draft review generated by x86-maintainer-agent applying Dave_Hansen.txt
 rules to the v9 series.  Strip this banner before sending.]

> -	/* To be enabled when kernel is ready. */
> -	return false;
> +	return sysinfo->features.tdx_features0 & TDX_FEATURES0_TD_PRESERVING;

This is the "the kernel is ready" flip.  If you take the suggestion
on 08/23 (introduce tdx_supports_runtime_update() at this commit and
hardcode `false` inline in 08/23), this patch becomes the
introduction patch instead of an enable-the-stub patch and the
intermediate "dead predicate" period goes away.

The TDX_FEATURES0_TD_PRESERVING #define is added here next to its
sole user.  Good -- and the BIT_ULL is correct.

Reviewed-by: Dave Hansen <[email-masked]>  [with the
                                                        08/23 reshuffle]